> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/de/installation-setup/system-settings/google/captcha.md).

# Captcha-Einrichtung

Zum Einrichten von Google Captcha registrieren Sie zunächst Ihre reCaptcha-Secret- und Site-Keys.

Um Ihre Keys zu erstellen, gehen Sie zum Google reCaptcha Admin-Bereich.\
<https://www.google.com/recaptcha/admin>

Klicken Sie oben rechts auf die Schaltfläche "Neu erstellen".

![](https://133942686-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCAqpNa6dElZlfh2hHg%2Fimage.png?alt=media\&token=d66afc22-97b6-421c-8de8-2d02e73f2593)

Konfigurieren Sie nun Ihre Captcha-Einstellungen

![](https://133942686-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCArEpVu5l9fPNWZ5wP%2Fimage.png?alt=media\&token=f7932622-4171-4310-ba79-a9be1662c5a9)

Kopieren Sie sowohl den Site-Key als auch den Secret-Key

![](https://133942686-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCArRunNBvdToRAIQle%2Fimage.png?alt=media\&token=4396ceb1-d993-4978-a960-9bf87456413f)

Fügen Sie die Keys in Ihre ngSurvey Google API-Einstellungen ein und klicken Sie auf **test** Schaltfläche, um zu prüfen, ob alles in Ordnung ist.

![](https://133942686-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCArn8YeJxWw8vTzhaS%2Fimage.png?alt=media\&token=6eea4a96-704f-40f1-9f68-8869e25ff439)

{% hint style="info" %}
Captcha funktioniert nur ordnungsgemäß auf einem Server mit Internetzugang. Wenn Ihr Server hinter einer Firewall steht, müssen Sie sicherstellen, dass der Server zumindest den Google-Verifizierungsdienst kontaktieren kann <https://www.google.com/recaptcha/api/siteverify> und setzen Sie die entsprechenden [Firewall-Regeln](https://code.google.com/archive/p/recaptcha/wikis/FirewallsAndRecaptcha.wiki).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/de/installation-setup/system-settings/google/captcha.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
